Subject: [ECRIT]: Caller Identity requirements: replacement text for empty section in ECRIT req doc.

From: "Roger Marshall" <[email-masked]>
Date: Tue, 18 Oct 2005 16:42:10 -0700

All:
There has been a placeholder within the ECRIT requirements draft titled,
"Emergency Caller Identification".  Since this section was requested
back on 8/09, I guess I'll take a crack at submitting some (proposed)
text for it (below):

"When a person places an emergency call to a PSAP, existing emergency
service messaging conveys associated caller information in addition to
receiving the caller's voice.  This additional information typically
consists of a call-back number, and the caller's location (referred to
as ANI and ALI, for North American systems)."

"Some systems use the received callback number to perform a identity
lookup via a database lookup service, and then use the location
information received to help verify the caller's identity presented both
via voice, as well as the external data presented from the identity
database query.  These external mechanisms are important for many
reasons, including helping callers who cannot, or will not speak, to
prevent false information from impeding appropriate dispatch
instructions and procedures, and ultimately to enable faster response in
the offering of help."

"IP-based emergency systems in the future may be able to offer even more
information about the caller, to help establish personal identity, but
also for today, for near-term implementations, need to provide the same
minimum level of identitifcation support as in the existing legacy
emergency systems."

"Req1: A "Call-back" number MUST be supplied within the call signaling
for each emergency call sent to the PSAP.  The ECRIT protocol may
provide this number in the form of a tel:uri, a sip:uri, or an
IP-Address."

"Req2: The ECRIT protocol MUST support the ability for the PSAP to
perform caller identity lookup based on the tel:uri, sip:uri, or IP
Address provided with call signaling.  (A variety of competing directory
lookup services may exist, but is not discussed in detail here, as it is
out of scope of this document.)"

"Req3:  The ECRIT protocol MUST support the ability to associate
individual call location information with external caller identity
records."

I have attempted to steer clear of obvious privacy concerns/objections,
modeling this after what's available today in ES, but there are more
details that some may want to tease out.

Comments?

Roger Marshall.

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Marc Linsner" <[email-masked]>
Date: Thu, 20 Oct 2005 15:45:15 -0400

OK, I believe I have found the source of the "call-back' thread (with a
little bumping from Roger).

Brian,

After looking over ecrit's charter again, I can't find where ecrit needs to
worry about caller identity.  I sympothize with your requirement, but I just
can't find a place for it in ecrit.

Does anybody have a different opinion??

Caller Identity going once, going twice,.........

-Marc-

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Roger Marshall
> Sent: Tuesday, October 18, 2005 7:42 PM
> To: ECRIT
> Subject: [ECRIT]: Caller Identity requirements: replacement 
> text for emptysection in ECRIT req doc. 
> 
> All:
> There has been a placeholder within the ECRIT requirements 
> draft titled, "Emergency Caller Identification".  Since this 
> section was requested back on 8/09, I guess I'll take a crack 
> at submitting some (proposed) text for it (below):
> 
> 
> "When a person places an emergency call to a PSAP, existing 
> emergency service messaging conveys associated caller 
> information in addition to receiving the caller's voice.  
> This additional information typically consists of a call-back 
> number, and the caller's location (referred to as ANI and 
> ALI, for North American systems)."
> 
> "Some systems use the received callback number to perform a 
> identity lookup via a database lookup service, and then use 
> the location information received to help verify the caller's 
> identity presented both via voice, as well as the external 
> data presented from the identity database query.  These 
> external mechanisms are important for many reasons, including 
> helping callers who cannot, or will not speak, to prevent 
> false information from impeding appropriate dispatch 
> instructions and procedures, and ultimately to enable faster 
> response in the offering of help."
> 
> "IP-based emergency systems in the future may be able to 
> offer even more information about the caller, to help 
> establish personal identity, but also for today, for 
> near-term implementations, need to provide the same minimum 
> level of identitifcation support as in the existing legacy 
> emergency systems."
> 
> "Req1: A "Call-back" number MUST be supplied within the call 
> signaling for each emergency call sent to the PSAP.  The 
> ECRIT protocol may provide this number in the form of a 
> tel:uri, a sip:uri, or an IP-Address."
> 
> "Req2: The ECRIT protocol MUST support the ability for the 
> PSAP to perform caller identity lookup based on the tel:uri, 
> sip:uri, or IP Address provided with call signaling.  (A 
> variety of competing directory lookup services may exist, but 
> is not discussed in detail here, as it is out of scope of 
> this document.)"
> 
> "Req3:  The ECRIT protocol MUST support the ability to 
> associate individual call location information with external 
> caller identity records."
> 
> 
> 
> I have attempted to steer clear of obvious privacy 
> concerns/objections, modeling this after what's available 
> today in ES, but there are more details that some may want to 
> tease out.
> 
> Comments?
> 
> Roger Marshall.
>